> ## Documentation Index
> Fetch the complete documentation index at: https://developers.chatwoot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update account

> Update account details, settings, and custom attributes



## OpenAPI

````yaml https://raw.githubusercontent.com/chatwoot/chatwoot/develop/swagger/tag_groups/application_swagger.json patch /api/v1/accounts/{account_id}
openapi: 3.1.0
info:
  title: Chatwoot
  description: This is the API documentation for Chatwoot server.
  version: 1.1.0
  termsOfService: https://www.chatwoot.com/terms-of-service/
  contact:
    email: hello@chatwoot.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.chatwoot.com/
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Labels
    description: Account label management APIs
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
paths:
  /api/v1/accounts/{account_id}:
    parameters:
      - $ref: '#/components/parameters/account_id'
    patch:
      tags:
        - Account
      summary: Update account
      description: Update account details, settings, and custom attributes
      operationId: update-account
      parameters:
        - $ref: '#/components/parameters/account_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/account_update_payload'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/account_update_payload'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/account_detail'
        '401':
          description: Unauthorized (requires administrator role)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    account_update_payload:
      type: object
      properties:
        name:
          type: string
          description: Name of the account
          example: My Account
        locale:
          type: string
          description: The locale of the account
          example: en
        domain:
          type: string
          description: The domain of the account
          example: example.com
        support_email:
          type: string
          description: The support email of the account
          example: support@example.com
        auto_resolve_after:
          type:
            - integer
            - 'null'
          minimum: 10
          maximum: 1439856
          description: Auto resolve conversations after specified minutes
          example: 1440
        auto_resolve_message:
          type:
            - string
            - 'null'
          description: Message to send when auto resolving
          example: This conversation has been automatically resolved due to inactivity
        auto_resolve_ignore_waiting:
          type:
            - boolean
            - 'null'
          description: Whether to ignore waiting conversations for auto resolve
          example: false
        industry:
          type: string
          description: Industry type
          example: Technology
        company_size:
          type: string
          description: Company size
          example: 50-100
        timezone:
          type: string
          description: Account timezone
          example: UTC
    account_detail:
      type: object
      properties:
        id:
          type: number
          description: Account ID
        name:
          type: string
          description: Name of the account
        locale:
          type: string
          description: The locale of the account
        domain:
          type: string
          description: The domain of the account
        support_email:
          type: string
          description: The support email of the account
        status:
          type: string
          description: The status of the account
        created_at:
          type: string
          format: date-time
          description: The creation date of the account
        cache_keys:
          type: object
          description: Cache keys for the account
        features:
          type: object
          description: Enabled features for the account
        settings:
          type: object
          description: Account settings
          properties:
            auto_resolve_after:
              type: number
              description: Auto resolve conversations after specified minutes
            auto_resolve_message:
              type: string
              description: Message to send when auto resolving
            auto_resolve_ignore_waiting:
              type: boolean
              description: Whether to ignore waiting conversations for auto resolve
        custom_attributes:
          type: object
          description: Custom attributes of the account
          properties:
            plan_name:
              type:
                - string
                - 'null'
              description: Subscription plan name
            subscribed_quantity:
              type:
                - number
                - 'null'
              description: Subscribed quantity
            subscription_status:
              type:
                - string
                - 'null'
              description: Subscription status
            subscription_ends_on:
              type:
                - string
                - 'null'
              format: date
              description: Subscription end date
            industry:
              type: string
              description: Industry type
            company_size:
              type: string
              description: Company size
            timezone:
              type: string
              description: Account timezone
            logo:
              type: string
              description: Account logo URL
            onboarding_step:
              type: string
              description: Current onboarding step
            marked_for_deletion_at:
              type: string
              format: date-time
              description: When account was marked for deletion
            marked_for_deletion_reason:
              type: string
              description: Reason for account deletion
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        This token can be obtained by visiting the profile page or via rails
        console. Provides access to  endpoints based on the user permissions
        levels. This token can be saved by an external system when user is
        created via API, to perform activities on behalf of the user.

````